#ifndef SCENE_H_
#define SCENE_H_

#include "gui.h"
#include "framebuffer.h"
#include "tmesh.h"

class Scene {

public:
  FrameBuffer *fb;
  GUI *gui;
  TMesh *tmesh;
  PPC *ppc;
  Scene();
  void Show();
  void DBG();
  void TranslateForward();
  void TranslateBackward();
  void TranslateLeft();
  void TranslateRight();
  void TranslateUp();
  void TranslateDown();
  void ZoomIn();
  void Redraw();
};

extern Scene *scene;

#endif