#pragma once

#include <ostream>

using namespace std;

class V3 {

public:
  float x, y, z;
  V3() {};
  V3(float _x, float _y, float _z);
  V3 operator+(V3 op2);
  V3 operator-(V3 op2);
  V3 operator^(V3 op2);
  float operator*(V3 op2);
  V3 operator*(float sc);
  V3 operator/(float sc);
  float& operator[](int i);
  friend ostream& operator<<(ostream &ostr, V3 v);
  unsigned int UIntColor();
  V3 UnitVector();
  float Length();
};

class BBox {
public:
  V3 corners[2];
  BBox();
  void AddPoint(V3 P);
  bool Clip(BBox bbox2);
};